=== debian/changelog ===
gprbuild (2015-6) unstable; urgency=medium

  * add-targets-for-gnat-s_osconf.diff lets gprbuild ignore the new vendor
    part in architectures as listed by GCC. Closes: #838483.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 Jan 2017 18:54:51 +0100

gprbuild (2015-5) unstable; urgency=medium

  * Declare that tests/*project-with-dash-s requires libgnatvsn*-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 16:35:10 +0200

gprbuild (2015-4) unstable; urgency=medium

  * tests/control: two tests Depend: gnat.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 20:57:20 +0200

gprbuild (2015-3) unstable; urgency=medium

  * Rebuild with gnat-6 like libxmlada.
    Update patches/use_ada_packaged_libraries.diff accordingly.
    Silent new System.Case_Util style warning in patches/gnat-6-warning.diff.
  * Stop enforcing timestamps in ALI files, only useful for libraries.
  * Enable all hardening flags.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 01:29:52 +0200

gprbuild (2015-2) experimental; urgency=medium

  * patch and test linking a library with --as-needed and -z defs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jan 2016 23:11:09 +0100

gprbuild (2015-1) experimental; urgency=medium

  * New upstream release, repackaged without GFDL doc, generated autoconf
    stuff and embedded copies of GNAT sources (10 times smaller).
    No more autotools-dev, autoconf, or patch to honor build flags.
  * rules: write compiler command line manually so that gprbuild does not
    build-depend: itself once gnatmake drop support for projects.
  * Build-Depends: take libxmlada split into account.
  * patches: 763727 closed, libraries_after_link_options applied.
    projects_lookup_path.diff: add current Debian path.
  * Drop -doc package, now less than 3% of binary size.
  * watch: use Adacore redirector.
  * Set a deterministic date to the generated source for reproducible builds.
  * gprbuild is not a library, no need to Build-Depend: gnat.
  * Test: handle read-only sources, avoid depending on a reverse build-dep.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Oct 2015 18:29:15 +0100
