=== debian/control ===
Source: gprbuild
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
# dpkg-dev: /usr/share/dpkg/default.mk
 gnat-6, libgnatprj6-dev, libgnatvsn6-dev
# gnat-v: /usr/share/ada/debian-packaging-v.mk
 ,libxmlada-schema6-dev
 ,libxmlada-dom6-dev
 ,libxmlada-sax6-dev
 ,libxmlada-input-sources6-dev
# libxmlada_unicode is required indirectly
Standards-Version: 3.9.8
Homepage: http://libre.adacore.com/libre/
Vcs-Mtn: www.ada-france.org org.debian.gprbuild
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild

Package: gprbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat (>= 5), g++, gcc, gfortran
# Previous gnat-x.y used x.y instead of x to name tools and libs.
Description: multi-language extensible build tool
 A set of tools for processing GNAT project files:
 gprconfig detects available compilers,
 gprbuild runs them;
 gprslave helps distributing the build work across the network;
 gprinstall copies the objects to their final destination;
 gprclean removes them.
 The default configuration supports Ada, Assembler, C, C++, Fortran,
 and can be extended to support user source processing tools.
 .
 The complete gprbuild user guide cannot be distributed by Debian
 because it is licensed under the GNU Free Documentation License with
 Invariant Sections and Cover Texts. It is published by upstream
 authors at
 http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html.
