=== debian/tests/control ===
Tests: ada-policy-project-with-dash-s
Depends: gprbuild, gnat, libgnatvsn6-dev

Tests: link-library-as-needed-z-defs
Depends: gprbuild, gnat

Tests: examples
Depends: gprbuild, gnat, gcc, g++, gfortran, make
