=== debian/changelog ===
gprbuild (2017-5) unstable; urgency=medium

  * Rebuild with xmlada 17.1.2017-5. -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 14:28:43 +0200

gprbuild (2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 08:24:15 +0200

gprbuild (2017-3) experimental; urgency=medium

  * Do not always recompile Ada sources younger than SOURCE_DATE_EPOCH.
    Closes: #869611. Regression test.
  * Debhelper 10. Drop explicit rules targets confusing dh.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Jul 2017 20:36:24 +0200

gprbuild (2017-2) experimental; urgency=medium

  * libgr-dev Depends: libxmlada*-dev. Adjust project accordingly.
    Let tests/link-with-shared detect such regressions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Jul 2017 20:33:49 +0200

gprbuild (2017-1) experimental; urgency=medium

  * New upstream release. No ALI/SO bump in experimental.
    Gprbuild now depends on gpr_imports.o and libxmlada* via libgpr.
    Remove applied patches, add typos.diff.
  * Build with gnat-7.
    ALI files use SOURCE_DATE_EPOCH, no need for fake timestamps.
    Exceptions do not require an executable stack, remove lintian override.
  * Install gpr.gpr projectt into new default path /usr/share/gpr.
  * Standards-Version: 4.0.0 and debhelper 10.
  * dpkg-dev now ignores .mtn-ignore by default.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 01 Jul 2017 17:05:45 +0200

gprbuild (2016-3) experimental; urgency=medium

  * do-not-strip-minor-soversion.diff when linking shared libraries.
    A similar patch has been applied to gcc for years.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 26 Aug 2016 15:33:52 +0200

gprbuild (2016-2) experimental; urgency=medium

  * Add aliases for Debian archs so that hardware-vendor-kernel-abi default
    target matches "gcc -dumpmachine" which has no vendor part.
  * Fix a trivial XML syntax error in linker.xml.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 13 Aug 2016 03:32:26 +0200

gprbuild (2016-1) experimental; urgency=medium

  * New upstream release, adding executables: gprls, gprname,
    and a library: GPR, formerly libgnatprj built by gnat from GCC sources.
  * Build without gprbuild itself to avoid bootstrap problems.
    Most changes are copied from XML/Ada which has the same constraints.
  * Link with XML/Ada GPL-2016.
  * Add a runtime test for the library.
  * allow-pie-overriden-for-libs.diff: users may set hardening=+all,
    pie will be overriden for libraries.
  * projects_lookup_path.diff: fix library instead of some tools.
  * add_runtime_source_dirs_to_snames.diff to regenerate gpr-snames.ad[bs].
  * lintian override explaining GCC trampolines, as most Ada libraries.
  * Update watch file to version 4.
  * README.source: link to github, explain choice for SO version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 01:30:29 +0200
