=== debian/control ===
--- 
+++ 
@@ -2,19 +2,43 @@
 Section: devel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 # dpkg-dev: /usr/share/dpkg/default.mk
- gnat-6, libgnatprj6-dev, libgnatvsn6-dev
-# gnat-v: /usr/share/ada/debian-packaging-v.mk
- ,libxmlada-schema6-dev
- ,libxmlada-dom6-dev
- ,libxmlada-sax6-dev
- ,libxmlada-input-sources6-dev
+ gnat, gnat-7
+ ,libxmlada-schema7-dev (>= 17.1.2017-5)
+ ,libxmlada-dom7-dev (>= 17.1.2017-5)
+ ,libxmlada-sax7-dev (>= 17.1.2017-5)
+ ,libxmlada-input7-dev (>= 17.1.2017-5)
+# Note: the rules script parses the lines above to extract versions.
 # libxmlada_unicode is required indirectly
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://libre.adacore.com/libre/
-Vcs-Mtn: www.ada-france.org org.debian.gprbuild
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
+
+Package: libgpr16.1.2016
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: support for programs processing GNAT projects (runtime)
+ GNAT projects are human-readable text files used to drive tools
+ building or inspecting lots of source files in several programming
+ languages, like those provided by the gprbuild package.
+ .
+ This package contains the runtime shared library.
+
+Package: libgpr1-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, ${ada:Depends}
+Description: support for programs processing GNAT projects (development)
+ GNAT projects are human-readable text files used to drive tools
+ building or inspecting lots of source files in several programming
+ languages, like those provided by the gprbuild package.
+ .
+ This package contains the development tools.
 
 Package: gprbuild
 Architecture: any
