=== debian/tests/control ===
Tests: ada-policy-project-with-dash-s link-with-shared
Depends: @, gnat

Tests: link-library-as-needed-z-defs source-date-epoch
Depends: gprbuild, gnat

Tests: examples
Depends: gprbuild, gnat, gcc, g++, gfortran, make

Tests: do-not-strip-minor-soversion
Depends: gprbuild, gnat, binutils
