## gprbuild 2018

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 PROCESSORS    = 0
 BUILD_DIR     =
 SOURCE_DIR    := $(shell dirname "$(MAKEFILE_LIST)")
+LIB_DIR       = lib/
 
 # Load current setup if any
 -include makefile.setup
@@ -39,11 +40,13 @@
 # target options for cross-build
 ifeq ($(HOST),$(TARGET))
 GTARGET=
-INSTALLER=exe/$(LIB_INSTALLER)
+INSTALLER=exe/$(BUILD)/$(LIB_INSTALLER)
 else
 GTARGET=--target=$(TARGET)
 INSTALLER=$(LIB_INSTALLER)
 endif
+
+EXEC_INSTALLER=$(INSTALLER) -XBUILD=${BUILD}
 
 # check for out-of-tree build
 ifeq ($(SOURCE_DIR),.)
@@ -78,7 +81,8 @@
 	-XLIBRARY_TYPE=static -XXMLADA_BUILD=static
 LIBGPR_BUILDER=$(BUILDER) $(GPR_GPR)
 LIBGPR_INSTALLER=$(LIB_INSTALLER) $(GPR_GPR) -XBUILD=${BUILD} \
-	--install-name=gpr --build-var=LIBRARY_TYPE $(GTARGET)
+	--install-name=gpr \
+	--build-var=LIBRARY_TYPE --build-var=GPR_BUILD $(GTARGET)
 LIBGPR_UNINSTALLER=$(LIB_INSTALLER) $(GPR_GPR) --install-name=gpr --uninstall
 
 #########
@@ -117,9 +121,9 @@
 .PHONY: install
 
 install:
-	$(INSTALLER) --mode=usage --install-name=gprbuild \
+	$(EXEC_INSTALLER) --mode=usage --install-name=gprbuild \
 		-XINSTALL_MODE=nointernal $(GPRBUILD_GPR)
-	$(INSTALLER) --target=$(TARGET) --mode=usage  --install-name=gprbuild \
+	$(EXEC_INSTALLER) --target=$(TARGET) --mode=usage  --install-name=gprbuild \
 		-XINSTALL_MODE=internal $(GPRBUILD_GPR)
 
 complete: all install libgpr.install.static
@@ -152,21 +156,21 @@
 	$(LIBGPR_INSTALLER) \
 	   -XLIBRARY_TYPE=static \
 	   -XXMLADA_BUILD=static \
-	   --lib-subdir=lib/gpr/static \
+	   --lib-subdir=${LIB_DIR}/gpr/static \
 	   --build-name=static
 
 libgpr.install.static-pic:
 	$(LIBGPR_INSTALLER) \
 	   -XLIBRARY_TYPE=static-pic \
 	   -XXMLADA_BUILD=static-pic \
-	   --lib-subdir=lib/gpr/static-pic \
+	   --lib-subdir=${LIB_DIR}/gpr/static-pic \
 	   --build-name=static-pic
 
 libgpr.install.shared:
 	$(LIBGPR_INSTALLER) \
 	   -XLIBRARY_TYPE=relocatable \
 	   -XXMLADA_BUILD=relocatable \
-	   --lib-subdir=lib/gpr/relocatable \
+	   --lib-subdir=${LIB_DIR}/gpr/relocatable \
 	   --build-name=relocatable
 
 libgpr.uninstall:
