=== debian/changelog ===
gprbuild (2018-8) unstable; urgency=medium

  * A correct transition is being prepared in experimental.
    For now, let -dev Conflict: libgrpc-dev and revert 2018-7.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 12 Dec 2019 19:24:55 +0100

gprbuild (2018-7) unstable; urgency=medium

  * Rename libgpr.(a|so) to libgnatprj because the grpc source owns them.
    Closes: #945197.  Previous libgnatprj*-dev own libgnatprj.(a|so), but
    Depend: distinct gnat versions so coinstallation is already prevented.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Nov 2019 11:57:50 +0100

gprbuild (2018-6) unstable; urgency=medium

  * Fix test of static archives by removing an undeclared dependency.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 11 Nov 2018 14:15:29 +0100

gprbuild (2018-5) unstable; urgency=medium

  * Fix rdeps on ia64 by restoring all Debian architectures,
    even the ones missing a gcc-8 binary package for the moment.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 07 Nov 2018 22:06:48 +0100

gprbuild (2018-4) unstable; urgency=medium

  * Fix FTBFS on i386-* architectures caused by changes for static
    archives and add-targets-for-gnat-s_osconf.diff.
    - use i686 instead of i386 in the canonical name as in regexs.
    - move Hurd regex after less selective ones like linux or freebsd.
    - only add Debian architectures with a gcc-8 package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 06 Nov 2018 22:53:00 +0100

gprbuild (2018-3) unstable; urgency=medium

  * Fix and test build of static archives:
    gprconfig was finding no archiver on many architectures.
  * Add warnings and checks to build flags.
  * Standards-Version: 4.2.1. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 Nov 2018 10:15:58 +0100

gprbuild (2018-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:49 +0200

gprbuild (2018-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.
  * Update targetsets syntax in add-targets-for-gnat-s_osconf.diff.
    Generate this patch from latest syntax and architecture list.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 09 Jun 2018 23:03:04 +0200

gprbuild (2017-7) experimental; urgency=medium

  * Rebuild with gnat-8, libxmlada-*8-dev.
    Rename shared library and -dev package per Debian Ada policy.
  * Remove watch file, explain why in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 20:21:57 +0200

gprbuild (2017-6) unstable; urgency=medium

  * Delete whitespaces in this changelog.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Fix silly formatting of Build-Depends.
  * Standards-Version: 4.1.4.
  * Update upstream homepage URL.
  * Drop overrides for lintian pedantic messages.
  * Try gnat-8: set version from -dumpversion (8) instead of -v (8.1.0).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 May 2018 15:12:19 +0200
