=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
-# dpkg-dev: /usr/share/dpkg/default.mk
- gnat, gnat-7
- ,libxmlada-schema7-dev (>= 17.1.2017-5)
- ,libxmlada-dom7-dev (>= 17.1.2017-5)
- ,libxmlada-sax7-dev (>= 17.1.2017-5)
- ,libxmlada-input7-dev (>= 17.1.2017-5)
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
+ libxmlada-schema8-dev,
+ libxmlada-dom8-dev,
+ libxmlada-sax8-dev,
+ libxmlada-input8-dev,
 # Note: the rules script parses the lines above to extract versions.
 # libxmlada_unicode is required indirectly
-Standards-Version: 4.1.0
-Homepage: http://libre.adacore.com/libre/
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Homepage: https://www.adacore.com/community
 Vcs-Mtn: mtn://www.ada-france.org?org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
 
-Package: libgpr16.1.2016
+Package: libgpr18
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,10 +29,12 @@
  .
  This package contains the runtime shared library.
 
-Package: libgpr1-dev
+Package: libgpr2-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
+Conflicts: libgrpc-dev
+# Until gprbuild/2019 reaches unstable, see #945197.
 Description: support for programs processing GNAT projects (development)
  GNAT projects are human-readable text files used to drive tools
  building or inspecting lots of source files in several programming
