## gprbuild 2019

=== Makefile ===
--- 
+++ 
@@ -225,3 +225,7 @@
 	make -C $(MAKEPREFIX)examples
 
 force:
+
+# Let gprbuild handle parallelization. In general, we don't support parallel
+# runs in this Makefile, as concurrent gprinstall processes may crash.
+.NOTPARALLEL:
