=== debian/changelog ===
gprbuild (2019-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 24 Feb 2020 22:03:24 +0100

gprbuild (2019-2) experimental; urgency=medium

  * Rename libgpr{19,3-dev} to libgnatprj{7,7-dev}. This completes the fix
    for #945197 by 2018-7, but requires changes in reverse dependencies.
  * Standards-Version: 4.4.1.
  * --as-needed is the default with gcc-9.
  * Include only needed dpkg makefile snippets.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 03 Dec 2019 18:13:22 +0100

gprbuild (2019-1) experimental; urgency=medium

  * New upstream release, built with gnat-9 and updated dependencies.
    Migration in experimental, renaming lib and -dev packages.
  * Move Version Control System to salsa.
  * Debhelper 12.
  * Standards-Version 4.4.0.
  * gprconfig.patch: more comments, fewer changes.
    Stop enforcing the Ada linker for projects mixing languages.
    Stop proposing gnatgcc as a distinct compiler.
  * Stop looking for projects in obsolete /usr/share/gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Jul 2019 13:08:16 +0200
