=== debian/control ===
--- 
+++ 
@@ -2,21 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
- libxmlada-schema8-dev,
- libxmlada-dom8-dev,
- libxmlada-sax8-dev,
- libxmlada-input8-dev,
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat, gnat-9,
+ libxmlada-schema9-dev,
+ libxmlada-dom9-dev,
+ libxmlada-sax9-dev,
+ libxmlada-input9-dev,
 # Note: the rules script parses the lines above to extract versions.
 # libxmlada_unicode is required indirectly
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.gprbuild
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
+Vcs-Browser: https://salsa.debian.org/debian/gprbuild
+Vcs-Git: https://salsa.debian.org/debian/gprbuild.git
 
-Package: libgpr18
+Package: libgnatprj7
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -29,12 +30,10 @@
  .
  This package contains the runtime shared library.
 
-Package: libgpr2-dev
+Package: libgnatprj7-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
-Conflicts: libgrpc-dev
-# Until gprbuild/2019 reaches unstable, see #945197.
 Description: support for programs processing GNAT projects (development)
  GNAT projects are human-readable text files used to drive tools
  building or inspecting lots of source files in several programming
