=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for GPRBuild in Debian.
 # Copyright (c) 2009-2012 Stephen Leake <stephen_leake@stephe-leake.org>
-# Copyright (c) 2013-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2019 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,6 @@
 # On Debian systems, the full text of the GPL is in the file
 # /usr/share/common-licenses/GPL-3.
 
-
 # NOTE:
 # In order to prevent a circular build-dependency, the Debian packages
 # for XML/Ada and GPRBuild bother to build without project support.
@@ -24,29 +23,33 @@
 # backport of good ideas.
 
 ######################################################################
-# *_DEV_PKG, *_LIB_PKG and *_SONAME are read from the control file.
+# Read some variables from the Debian control file.
 # To debug, replace eval with error.
 $(foreach line,$(shell sed -n ' \
-  s/^Package:\s*\(lib\([a-z]\+\)\([0-9.]\+\)\)$$/ \
-    \2_LIB_PKG:=\1 \
-    \2_SONAME:=lib\2.so.\3 \
+  s/^Package: \(libgnatprj\([0-9.]\+\)\)$$/ \
+    gnatprj_LIB_PKG:=\1 \
+    gnatprj_SONAME:=libgnatprj.so.\2 \
    /p;\
-  s/^Package:\s*\(lib\([a-z]\+\)[0-9.]\+-dev\)$$/ \
-    \2_DEV_PKG:=\1 \
+  s/^Package:\s*\(libgnatprj[0-9.]\+-dev\)$$/ \
+    gnatprj_DEV_PKG:=\1 \
    /p;\
   s/^ gnat, gnat-\([0-9.]\+\),\?$$/ \
     GNAT_VERSION:=\1 \
    /p;\
-  s/^ ,\(libxmlada-\([a-z]\+\)[0-9.]\+-dev\)\( (.*)\)\?$$/ \
+  s/^ \(libxmlada-\([a-z]\+\)[0-9.]\+-dev\)\( (.*)\)\?,\?$$/ \
     xmlada_\2_DEV_PKG:=\1 \
    /p;\
   ' debian/control),$(eval $(line)))
+
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_ADAFLAGS_MAINT_APPEND := -gnatwa -Wall -gnatn
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 
 # gprbuild.gpr selects inlining.
-ADAFLAGS += -gnatn
 # It also selects -E -static binder options, but:
 # #666106 affects only kfreebsd-i386, where storing tracebacks in
 # exception occurrences causes a segmentation fault.  This prevents
@@ -54,6 +57,7 @@
 # when parsing compilers.xml.
 # Author: Ludovic Brenta <lbrenta@debian.org>
 
+######################################################################
 %:
 	dh $@
 
@@ -66,7 +70,8 @@
 
 ######################################################################
 # Regenerate gpr-snames.ad[bs].
-obj/shared/$(gpr_SONAME) obj/static/libgpr.a: gpr/src/gpr-snames.ads
+obj/shared/$(gnatprj_SONAME) \
+obj/static/libgnatprj.a                   : gpr/src/gpr-snames.ads
 
 obj/xsnames: gpr/xsnames.adb | obj
 	gnatmake gpr/xsnames.adb -D obj -o $@ \
@@ -93,6 +98,7 @@
 define library_template
 # Parameters:
 # _SRCDIR: directory containing the sources files
+# _SONAME : shared object name (libNAME.so.VERSION)
 # _deps_int       : used in -aI -aO -l for libs built by this deb source
 # _deps_int_direct: subset used for .gpr and ada:Depends
 # _deps_ext       : used in -aI -aO -l for libs from packaged Build-Depends
@@ -188,12 +194,3 @@
 	echo 'ada:Depends=gnat, gnat-$(GNAT_VERSION), \
 	  $(foreach l, $($(library)_deps_int_direct), $($(l)_DEV_PKG) (=$$$${binary:Version}),) \
 	  $(foreach l, $($(library)_deps_ext_direct), $($(l)_DEV_PKG),) \
-	  $($(library)_LIB_PKG)' \
-	  >> debian/$($(library)_DEV_PKG).substvars
-
-  # Externally built project installed for end users.
-  override_dh_auto_build-arch: obj/$(library).gpr
-  obj/$(library).gpr: debian/template.gpr | obj
-	sed ' \
-	  /@IMPORTS@/ { \
-	    s//$(foreach l, $($(library)_deps_int_direct) \
