=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,6 @@
+Tests: archive-builder
+Depends: gprbuild, gcc
+
 Tests: ada-policy-project-with-dash-s link-with-shared
 Depends: @, gnat
